Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		rtmpdump
#Epoch:		0
Version:	2.3
Release:	1
License:	GNU/GPLv2
URL:		http://rtmpdump.mplayerhq.hu/
Group:		Multimedia/Video	
Summary:	RTMP stream toolkit
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tgz

# Patches:
Patch0:		rtmpdump-2.2-rpmbuild.patch

# Requires:
Requires:	librtmp

# BuildRequires:
BuildRequires:	glibc-devel
BuildRequires:	libgcc
BuildRequires:  libstdc++-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n librtmp
Summary:	RTMPDump Real-Time Messaging Protocol API 
Group:          %{group}

%description -n librtmp
The Real-Time Messaging Protocol (RTMP) is used for streaming multimedia content across a TCP/IP network. This API provides most client functions and a few server functions needed to support RTMP, RTMP tunneled in HTTP (RTMPT), encrypted RTMP (RTMPE), RTMP over SSL/TLS (RTMPS) and tunneled variants of these encrypted types (RTMPTE, RTMPTS). The basic RTMP specification has been published by Adobe but this API was reverse-engineered without use of the Adobe specification. As such, it may deviate from any published specifications but it usually duplicates the actual behavior of the original Adobe clients. 

%package -n librtmp-devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       librtmp = %{version}-%{release}

%description -n librtmp-devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} prefix=%{_prefix} mandir=%{_mandir}

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=%{_prefix} mandir=%{_mandir} DESTDIR=$RPM_BUILD_ROOT 

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/rtmpdump
%{_sbindir}/rtmpgw
%{_sbindir}/rtmpsrv
%{_sbindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1.gz
%{_mandir}/man8/rtmpgw.8.gz

%files -n librtmp
%defattr(-,root,root)
%{_libdir}/librtmp.a
%{_libdir}/librtmp.so.0

%files -n librtmp-devel
%defattr(-,root,root)
%{_includedir}/librtmp/amf.h
%{_includedir}/librtmp/http.h
%{_includedir}/librtmp/log.h
%{_includedir}/librtmp/rtmp.h
%{_libdir}/librtmp.so
%{_pkgconfig}/librtmp.pc
%{_mandir}/man3/librtmp.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3-1
- version update
* Wed Jun 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2e-1
- version update
* Sun Mar 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2-1
- version update
* Mon Dec 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9a-1
- initial CCux package release
